# syntax=docker/dockerfile:1

FROM python:3.13-slim

WORKDIR /app

# Installiere Requirements
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Kopiere Collector Code
COPY main.py .

# Starte Collector
CMD ["python", "main.py"]
